---
title: List incident responders
description: List all responders for an incident.
breadcrumbs: Docs > API > List incident responders
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# List incident responders

## v2 (latest)

{% alert level="warning" %}
**Note**: This endpoint is in preview and is subject to change.
If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help.md).
{% /alert %}

| Datadog site      | API endpoint                                                                |
| ----------------- | --------------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/incidents/{incident_id}/responders     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/responders |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/responders |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/incidents/{incident_id}/responders      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/responders |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/responders |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/incidents/{incident_id}/responders |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/incidents/{incident_id}/responders      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/responders  |

### Overview

List all responders for an incident.

This endpoint requires the `incident_read` permission.

OAuth apps require the `incident_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.

### Arguments

#### Path Parameters

| Field                    | Type   | Description               |
| ------------------------ | ------ | ------------------------- |
| incident_id [*required*] | string | The UUID of the incident. |

#### Query Strings

| Field        | Type    | Description                                                                                             |
| ------------ | ------- | ------------------------------------------------------------------------------------------------------- |
| include      | array   | Comma-separated related resource types to include. Supported values are `users` and `role_assignments`. |
| page[limit]  | integer | Maximum number of responders to return per page. Default: `25`.                                         |
| page[offset] | integer | The offset of the first responder to return.                                                            |

### Response

{% tabs %}
{% tab label="200" %}
OK

{% tabs %}
{% tab label="Model" %}
Response with a list of incident responders.

| Parent field                     | Field                             | Type      | Description                                                                                       |
| -------------------------------- | --------------------------------- | --------- | ------------------------------------------------------------------------------------------------- |
|                                  | data [*required*]                 | [object]  | List of incident responders.                                                                      |
| data                             | attributes [*required*]           | object    | Attributes of an incident responder in a response.                                                |
| attributes                       | created [*required*]              | date-time | Timestamp when the responder was created.                                                         |
| attributes                       | external_id                       | string    | The external ID of the responder.                                                                 |
| attributes                       | external_source                   | string    | The external source of the responder.                                                             |
| attributes                       | is_billable [*required*]          | boolean   | Whether this responder counts toward billing.                                                     |
| attributes                       | last_active                       | date-time | Timestamp when the responder was last active.                                                     |
| attributes                       | meta                              | object    | Additional metadata for the responder.                                                            |
| attributes                       | modified [*required*]             | date-time | Timestamp when the responder was last modified.                                                   |
| data                             | id [*required*]                   | uuid      | The responder identifier.                                                                         |
| data                             | relationships                     | object    | Relationships for an incident responder.                                                          |
| relationships                    | created_by                        | object    | Relationship to user.                                                                             |
| created_by                       | data [*required*]                 | object    | Relationship to user object.                                                                      |
| data                             | id [*required*]                   | string    | A unique identifier that represents the user.                                                     |
| data                             | type [*required*]                 | enum      | Users resource type. Allowed enum values: `users`. Default: `users`.                              |
| relationships                    | last_modified_by                  | object    | Relationship to user.                                                                             |
| last_modified_by                 | data [*required*]                 | object    | Relationship to user object.                                                                      |
| data                             | id [*required*]                   | string    | A unique identifier that represents the user.                                                     |
| data                             | type [*required*]                 | enum      | Users resource type. Allowed enum values: `users`. Default: `users`.                              |
| relationships                    | role_assignments                  | object    | Relationship to role assignments for a responder.                                                 |
| role_assignments                 | data                              | [object]  | List of role assignment relationship data.                                                        |
| data                             | id [*required*]                   | uuid      | The role assignment identifier.                                                                   |
| data                             | type [*required*]                 | string    | The role assignment resource type.                                                                |
| relationships                    | user                              | object    | Relationship to user.                                                                             |
| user                             | data [*required*]                 | object    | Relationship to user object.                                                                      |
| data                             | id [*required*]                   | string    | A unique identifier that represents the user.                                                     |
| data                             | type [*required*]                 | enum      | Users resource type. Allowed enum values: `users`. Default: `users`.                              |
| data                             | type [*required*]                 | enum      | Incident responder resource type. Allowed enum values: `incident_responders`.                     |
|                                  | included                          | [<oneOf>] | Included related resources. Read-only.                                                            |
| included                         | <type=users>                      | object    | User object returned by the API.                                                                  |
| <type=users>                     | attributes                        | object    | Attributes of user object returned by the API.                                                    |
| attributes                       | email                             | string    | Email of the user.                                                                                |
| attributes                       | handle                            | string    | Handle of the user.                                                                               |
| attributes                       | icon                              | string    | URL of the user's icon.                                                                           |
| attributes                       | name                              | string    | Name of the user.                                                                                 |
| attributes                       | uuid                              | string    | UUID of the user.                                                                                 |
| <type=users>                     | id                                | string    | ID of the user.                                                                                   |
| <type=users>                     | type                              | enum      | Users resource type. Allowed enum values: `users`. Default: `users`.                              |
| included                         | <type=incident_role_assignments>  | object    | Role assignment data in a response.                                                               |
| <type=incident_role_assignments> | attributes [*required*]           | object    | Attributes of an incident role assignment.                                                        |
| attributes                       | created [*required*]              | date-time | Timestamp when the role assignment was created.                                                   |
| attributes                       | deleted                           | date-time | Timestamp when the role assignment was deleted, or the zero timestamp if it has not been deleted. |
| attributes                       | modified [*required*]             | date-time | Timestamp when the role assignment was last modified.                                             |
| attributes                       | responder_type [*required*]       | string    | The type of the responder.                                                                        |
| attributes                       | role [*required*]                 | string    | The name of the assigned role.                                                                    |
| <type=incident_role_assignments> | id [*required*]                   | uuid      | The role assignment identifier.                                                                   |
| <type=incident_role_assignments> | relationships                     | object    | Relationships of a role assignment.                                                               |
| relationships                    | created_by_user                   | object    | Relationship to a responder.                                                                      |
| created_by_user                  | data [*required*]                 | object    | Responder relationship data.                                                                      |
| data                             | id [*required*]                   | uuid      | The responder identifier.                                                                         |
| data                             | type [*required*]                 | string    | The responder resource type.                                                                      |
| relationships                    | last_modified_by_user             | object    | Relationship to a responder.                                                                      |
| last_modified_by_user            | data [*required*]                 | object    | Responder relationship data.                                                                      |
| data                             | id [*required*]                   | uuid      | The responder identifier.                                                                         |
| data                             | type [*required*]                 | string    | The responder resource type.                                                                      |
| relationships                    | reserved_role                     | object    | Relationship to a role.                                                                           |
| reserved_role                    | data                              | object    | Role relationship data.                                                                           |
| data                             | id [*required*]                   | uuid      | The role identifier.                                                                              |
| data                             | type [*required*]                 | string    | The role resource type.                                                                           |
| relationships                    | responder [*required*]            | object    | Relationship to a responder.                                                                      |
| responder                        | data [*required*]                 | object    | Responder relationship data.                                                                      |
| data                             | id [*required*]                   | uuid      | The responder identifier.                                                                         |
| data                             | type [*required*]                 | string    | The responder resource type.                                                                      |
| relationships                    | user_defined_role                 | object    | Relationship to a role.                                                                           |
| user_defined_role                | data                              | object    | Role relationship data.                                                                           |
| data                             | id [*required*]                   | uuid      | The role identifier.                                                                              |
| data                             | type [*required*]                 | string    | The role resource type.                                                                           |
| <type=incident_role_assignments> | type [*required*]                 | enum      | Incident role assignment resource type. Allowed enum values: `incident_role_assignments`.         |
|                                  | links                             | object    | Links to pages of incident responders.                                                            |
| additionalProperties             | <any-key>                         | string    |                                                                                                   |
|                                  | meta                              | object    | Pagination metadata for the responder list.                                                       |
| meta                             | page                              | object    | Total count for the responder list.                                                               |
| page                             | total_filtered_count [*required*] | int64     | Total number of responders matching the query, before pagination.                                 |
| meta                             | pagination                        | object    | Offset-based pagination for incident responders.                                                  |
| pagination                       | first_offset                      | int64     | The offset of the first page.                                                                     |
| pagination                       | last_offset                       | int64     | The offset of the last page, if available.                                                        |
| pagination                       | limit                             | int64     | The maximum number of elements returned per page.                                                 |
| pagination                       | next_offset                       | int64     | The offset of the next page, if available.                                                        |
| pagination                       | offset                            | int64     | The index of the first element in the current page.                                               |
| pagination                       | prev_offset                       | int64     | The offset of the previous page, if available.                                                    |
| pagination                       | total                             | int64     | The total number of elements, when available.                                                     |
| pagination                       | type                              | string    | The pagination type.                                                                              |
{% /tab %}

{% tab label="Example" %}
```json
{
  "data": [
    {
      "attributes": {
        "created": "2024-01-01T00:00:00.000Z",
        "external_id": null,
        "external_source": null,
        "is_billable": true,
        "last_active": "2024-01-01T00:00:00.000Z",
        "meta": {},
        "modified": "2024-01-01T00:00:00.000Z"
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "relationships": {
        "created_by": {
          "data": {
            "id": "00000000-0000-0000-2345-000000000000",
            "type": "users"
          }
        },
        "last_modified_by": {
          "data": {
            "id": "00000000-0000-0000-2345-000000000000",
            "type": "users"
          }
        },
        "role_assignments": {
          "data": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "type": "incident_role_assignments"
            }
          ]
        },
        "user": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "users"
          }
        }
      },
      "type": "incident_responders"
    }
  ],
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ],
  "links": {
    "<any-key>": "string"
  },
  "meta": {
    "page": {
      "total_filtered_count": 1
    },
    "pagination": {
      "first_offset": 0,
      "last_offset": 25,
      "limit": 25,
      "next_offset": 25,
      "offset": 0,
      "prev_offset": 0,
      "total": 1,
      "type": "offset_limit"
    }
  }
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="400" %}
Bad Request

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="401" %}
Unauthorized

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="403" %}
Forbidden

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="404" %}
Not Found

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="429" %}
Too many requests

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}
{% /tabs %}

### Code Example

{% tabs %}
{% tab label="Curl" %}
```bash
# Path parameters
export incident_id="CHANGE_ME"

# Set your Datadog site and credentials
export DD_SITE="datadoghq.com" # Or us3.datadoghq.com, us5.datadoghq.com, datadoghq.eu, ap1.datadoghq.com, ap2.datadoghq.com, uk1.datadoghq.com, ddog-gov.com, us2.ddog-gov.com
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/incidents/${incident_id}/responders" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
```
{% /tab %}
{% /tabs %}
